
Redmine - Defect #6625

Attachments lost when activity field error occures 

2010-10-11 15:09 - Maxim Strukov

Status: Closed Start date: 2010-10-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 1.0.2

Description

If there is activity field error (set Timelog, but not set Activity type) Redmine does not save attached files and I need attach it once

again.

Related issues:

Related to Redmine - Defect #4401: Attachments get saved on issue update even... Closed 2009-12-15

Has duplicate Redmine - Defect #8793: Attachment lost when filed validation f... Closed 2011-07-12

History

#1 - 2010-10-11 19:29 - Holger Just

This was introduced in r3305.

I think it is rather hard to really say which of the two cases is better:

throw the file away and thus have atomic update operations

attach the file nevertheless the other fields are invalid

The second case is better for larger files where uploading can take some significant time, the first case fits the currently designed workflow better,

where we have atomic operations everywhere in Redmine.

#2 - 2010-10-12 08:10 - Maxim Strukov

Redmine can check the field before sending to the server without reloading page? In this case file will still not loaded, but already choosed and ready

for upload.

#3 - 2011-07-12 17:03 - Etienne Massip

- Category set to Attachments

#4 - 2012-01-10 17:33 - Peter Englmaier

This issue seems not to be worked on and is still present in Redmine 1.2.2.stable.7811.

Please add the issue to the 'Candidate for next minor release' list!

#5 - 2015-03-08 04:54 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Probably implemented in r10977 and 10977 (Redmine 2.3).

In current versions, attachments are kept even after validation errors.
